/**
 * Generates a color palette for RGBA image.
 * @param data
 * @param max_colors_log Log of the number of colors. Use 8 for 256 colors and 4 for 16 colors.
 * @param premultiply
 */
export declare function generate_rgba_palette(data: Uint8Array | Uint8Array[], max_colors_log?: number, premultiply?: boolean): Uint8Array;
/**
 * Takes in an RGBA image data, and applies the palette to it, returning an 8-bit image.
 * @param in_data
 * @param palette
 * @param premultiply Whether to use premultiplied colors in the distance function
 * @returns
 */
export declare function quantize_image(in_data: Uint8Array, palette: Uint8Array, premultiply?: boolean): Uint8Array;
